Subject: Re: Duties of agents as for obsolete control messages

From: Russ Allbery <[email-masked]>
Date: Mon, 25 May 2009 17:34:42 -0700

Julien ÉLIE <[email-masked]> writes:

> Shouldn't it be said something in the duties of injecting agents
> (and maybe relaying?) as for obsolete control messages
> like sendsys, version, whogets and senduuname (section 5.6)?
> They SHOULD be rejected (?)

Eh, I don't know.  We say:

        <t>The following control message types are declared obsolete by
        this document and SHOULD NOT be sent or honored:

and I'm not sure I want to say more than that or call it out
specifically for injecting agents.  I think that most injecting agents
currently don't think about control messages at all and just pass them
along.

-- 
Russ Allbery ([email-masked])             <http://www.eyrie.org/~eagle/>